org.apache.hadoop.hdfs.shortcircuit

## Class DfsClientShmManager.PerDatanodeVisitorInfo

- java.lang.Object
- - org.apache.hadoop.hdfs.shortcircuit.DfsClientShmManager.PerDatanodeVisitorInfo

- Enclosing class:
    org.apache.hadoop.hdfs.shortcircuit.DfsClientShmManager

      public static class DfsClientShmManager.PerDatanodeVisitorInfo
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `disabled`
    `TreeMap<ShortCircuitShm.ShmId,DfsClientShm>` | `full`
    `TreeMap<ShortCircuitShm.ShmId,DfsClientShm>` | `notFull`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### full

          public final TreeMap<ShortCircuitShm.ShmId,DfsClientShm> full

    - #### notFull

          public final TreeMap<ShortCircuitShm.ShmId,DfsClientShm> notFull

    - #### disabled

          public final boolean disabled

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.